:root {
    --top-bar-bg: #D5F949;
}

.canvas-top-bar {
    background: var(--top-bar-bg);
    color: @text-color;
    height: 40px;
    position: relative;
    overflow: hidden;
    padding-right: 60px;
    display: none;

    &.is-visible {
        display: flex;
    }

    &__text {
        white-space: nowrap;
        position: absolute;
        top: 0;
        left: 0px;
        right: 60px;
        bottom: 0;
        font-size: @font-size-small;
        line-height: 40px;
        overflow: hidden;
        font-family: @headings-font-family;
        font-weight: @headings-font-weight;
        text-transform: uppercase;

        span + span {
            display: inline-block;
            vertical-align: baseline;

            &::before {
                content: "//";
                margin: 0 @grid-gutter-width/1.5;
                display: inline-block;
                vertical-align: baseline;
            }
        }
    }

    &__dismiss {
        position: absolute;
        right: 0;
        top: 0;
        width: 60px;
        height: 40px;
        display: flex;
        align-items: center;
        justify-content: center;
        background: none;
        border: none;
        color: inherit;
    }
}
